<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
       xmlns:context="http://www.springframework.org/schema/context"
       xsi:schemaLocation="http://www.springframework.org/schema/beans 
       http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://www.springframework.org/schema/context
       http://www.springframework.org/schema/context/spring-context.xsd
       http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd">
    <context:component-scan base-package="com.gic.haoban"/>
    <!-- 应用名称 -->
    <dubbo:application name="haoban-manage3-wx"/>
    <dubbo:protocol name="dubbo" port="30010"/>
    
    <dubbo:reference interface="com.gic.haoban.manage.api.service.chat.GroupChatPlanApiService" id="groupChatPlanApiService" />
    <dubbo:reference interface="com.gic.member.api.service.GradeService" id="gradeService" />
    <dubbo:reference interface="com.gic.ecm.api.service.EcmPlanService" id="ecmPlanService" />
    <dubbo:reference interface="com.gic.marketing.api.service.CardExportService" id="cardExportService" />
    <dubbo:reference interface="com.gic.marketing.api.service.SmsService" id="smsService" />
    <dubbo:reference interface="com.gic.marketing.api.service.WechatMarketingService" id="wechatMarketingService" />
    <dubbo:reference interface="com.gic.marketing.pro.api.service.ai.AiMemberLogApiService" id="aiMemberLogApiService" />
    <dubbo:reference interface="com.gic.marketing.api.service.CouponCardService" id="couponCardService" />
    <dubbo:reference interface="com.gic.game.api.service.GameService" id="gameService" />
    <dubbo:reference interface="com.gic.enterprise.service.CustomSettingApiService" id="customSettingApiService" /> 
    <dubbo:reference interface="com.gic.marketing.pro.api.service.game.GameApiService" id="gameApiService" />
    <dubbo:reference interface="com.gic.member.api.service.AchievementService" id="achievementService" />
    <dubbo:reference interface="com.gic.clerk.api.service.PowerService" id="powerService" />
    <dubbo:reference interface="com.gic.integralmall.api.service.IntegralmallService" id="integralmallService" />
    
	<dubbo:reference interface="com.gic.enterprise.api.service.EnterpriseUseForbidService" id="enterpriseUseForbidService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService"
                     id="staffDepartmentRelatedApiService"/>
    <dubbo:reference interface="com.gic.clerk.api.service.ClerkService" id="clerkService"/>
    <dubbo:reference interface="com.gic.haoban.data.api.service.HaobanDataApiService" id="haobanDataApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.StaffApiService" id="staffApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.ApplicationApiService" id="applicationApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.DepartmentApiService" id="departmentApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService"
                     id="wxEnterpriseRelatedApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.WxEnterpriseApiService" id="wxEnterpriseApiService"/>
    <dubbo:reference interface="com.gic.enterprise.api.service.StoreService" id="storeService"/>
    <dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxCorpApiService" id="qywxCorpApiService"/>
    <dubbo:reference interface="com.gic.wechat.api.service.qywx.QywxUserApiService" id="qywxUserApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.AuditApiService" id="auditApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.AuditSettingApiService" id="auditSettingApiService"/>
    <dubbo:reference interface="com.gic.dict.api.service.ManagerDictService" id="managerDictService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.ApplicationSettingApiService"
                     id="applicationSettingApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.MemberUnionidRelatedApiService"
                     id="memberUnionidRelatedApiService"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.SyncHaobanToGicApiService"
                     id="syncHaobanToGicApiService"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.ClerkMainStoreRelatedApiService"
                     id="clerkMainStoreRelatedApiService" timeout="30000" retries="0" check="false"/>

    <dubbo:reference interface="com.gic.haoban.app.customer.service.api.service.DistributeApiService"
                     id="distributeApiService"/>

    <dubbo:reference interface="com.gic.haoban.app.customer.service.api.service.CustomerApiService"
                     id="customerApiService"/>

    <dubbo:reference interface="com.gic.thirdparty.api.service.QQCloudPicService" id="qqCloudPicServiceImpl"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.DictApiService" id="dictApiService"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.MaidianLogApiService" id="maidianLogApiService"/>

    <dubbo:reference interface="com.gic.haoban.app.customer.service.api.service.StaffMemberRelationApiService"
                     id="staffMemberRelationApiService"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.MaterialApiService" id="materialApiService"/>

    <dubbo:reference interface="com.gic.enterprise.api.service.EnterpriseService" id="enterpriseService"/>

    <dubbo:reference interface="com.gic.member.api.service.MemberOpenCardBusinessService"
                     id="memberOpenCardBusinessService"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.StaffClerkRelationApiService"
                     id="staffClerkRelationApiService"/>

    <dubbo:reference interface="com.gic.clerk.api.service.ClerkNewService" id="clerkNewService"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.DealSyncOperationApiService"
                     id="dealSyncOperationApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.ExternalClerkRelatedApiService"
                     id="externalClerkRelatedApiService"/>

    <dubbo:reference id="operationSettingApiServiceImpl"
                     interface="com.gic.haoban.manage.api.service.OperationSettingApiService" timeout="10000"
                     retries="0" check="false"/>

    <dubbo:reference id="pendingTaskApiService"
                     interface="com.gic.haoban.manage.api.service.notify.PendingTaskApiService" timeout="10000"
                     retries="0" check="false"/>

    <dubbo:reference id="noticeMessageApiService"
                     interface="com.gic.haoban.manage.api.service.notify.NoticeMessageApiService" timeout="30000"
                     retries="0" check="false"/>

    <dubbo:reference interface="com.gic.haoban.manage.api.service.WxApplicationApiService"
                     id="wxApplicationApiService"/>

    <dubbo:reference id="mallSettingService" interface="com.gic.mall.api.service.MallSettingService" timeout="10000"
                     retries="0" check="false"/>
    <dubbo:reference id="validationCodeApiService"
                     interface="com.gic.haoban.manage.api.service.ValidationCodeApiService" timeout="10000" retries="0"
                     check="false"/>

    <dubbo:reference interface="com.gic.enterprise.api.service.StoreWidgetService" id="storeWidgetService"
                     timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.role.HaobanRoleApiService" id="haobanRoleApiService"/>
    <dubbo:reference interface="com.gic.haoban.manage.api.service.role.HaobanMenuApiService" id="haobanMenuApiService"/>

    <dubbo:reference interface="com.gic.marketing.pro.api.service.offline.OfflinePreApiService" id="offlinePreApiService" timeout="10000" retries="0" check="false"/>

	<dubbo:reference interface="com.gic.enterprise.api.service.AccountService" id="accountService"/>

    <dubbo:reference interface="com.gic.content.api.service.ContentColumnApiService" id="contentColumnApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.content.api.service.ContentMaterialApiService" id="contentMaterialApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference interface="com.gic.content.api.service.ContentMaterialShareApiService" id="contentMaterialShareApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference id="settingApiService" interface="com.gic.haoban.app.aggregation.api.service.SettingApiService" timeout="10000" retries="0" check="false"/>
    <dubbo:reference id="newDataTargetConfigApiService" interface="com.gic.enterprise.api.service.target.NewDataTargetConfigApiService" timeout="100000" retries="0" check="false" />
    <dubbo:reference interface="com.gic.store.goods.service.GoodsInfoOutApiService" id="goodsInfoOutApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="logisticsApiService" interface="com.gic.business.order.service.logistics.LogisticsApiService" timeout="100000" retries="0" check="false" />

    <dubbo:reference interface="com.gic.haoban.manage.api.service.content.MaterialShareLogApiService" id="materialShareLogApiService" timeout="100000" retries="0" check="false" />

    <dubbo:reference interface="com.gic.haoban.manage.api.service.content.PotentialCustomerApiService" id="potentialCustomerApiService" timeout="100000" retries="0" check="false" />
    <dubbo:reference interface="com.gic.haoban.manage.api.service.content.InteractRecordApiService" id="interactRecordApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="orderVerificationRecordApiService" interface="com.gic.haoban.app.aggregation.api.service.evaluation.OrderVerificationRecordApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="orderRefundApiService" interface="com.gic.business.order.service.ordermanage.OrderRefundApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="mallSellerAddressApiService" interface="com.gic.business.order.service.ordermanage.MallSellerAddressApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="webOrderManageApiService" interface="com.gic.business.order.service.ordermanage.WebOrderManageApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="afterSalesManageApiService" interface="com.gic.business.order.api.service.order.AfterSalesManageApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="memberReferClerkApiService" interface="com.gic.business.order.service.activity.MemberReferClerkApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="productStockApiService" interface="com.gic.store.goods.service.ProductStockApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="orderSettingApiService" interface="com.gic.business.order.service.setting.OrderSettingApiService" timeout="100000" retries="0" check="false" />
	<dubbo:reference id="evaluateDataApiService" interface="com.gic.evaluate.manage.api.service.EvaluateDataApiService" timeout="100000" retries="0" check="false" />

</beans>
